Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.tdk.exclude
Class ExcludeList

    java.lang.Object
      com.sun.tdk.exclude.ExcludeList

All Implemented Interfaces:
  Exclude

    public class ExcludeList

extends java.lang.Object
implements Exclude

This is a sample realization of Exclude extension.

Constructor Summary
`ExcludeList()`

Method Summary
`void` | `addSignature(java.lang.String name)`
`void` | `check(ClassDescription testedClass, MemberDescription name)` Checks if the given signature is excluded.
`java.lang.String[]` | `parseParameters(java.lang.String[] args)` This method parses parameters specific to exclusion plugin
`java.lang.String` | `report()` This method is invoked after all checks, to get plugin's summary report.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExcludeList

    public ExcludeList()

Method Detail

### addSignature

    public void addSignature(java.lang.String name)

### check

    public void check(ClassDescription testedClass,
                      MemberDescription name)
               throws ExcludeException

  Description copied from interface: `Exclude`
  Checks if the given signature is excluded.

  Specified by:
    `check` in interface `Exclude`
  Parameters:
    `testedClass` - the full qualified name of class being testing now
    `name` - full qualified signature of class, method or field which is tested, for methods and fields signature includes the name of class where this member is declared, for classes this signature is it name
  Throws:
    `ExcludeException` - if signature is to be excluded with message which is used by SignatureTest for diagnostic messages

### parseParameters

    public java.lang.String[] parseParameters(java.lang.String[] args)

  Description copied from interface: `Exclude`
  This method parses parameters specific to exclusion plugin

  Specified by:
    `parseParameters` in interface `Exclude`
  Parameters:
    `args` - vector of all parameters
  Returns:
    vector of parameters which can't be parsed by this extension

### report

    public java.lang.String report()

  Description copied from interface: `Exclude`
  This method is invoked after all checks, to get plugin's summary report. This report is logged.

  Specified by:
    `report` in interface `Exclude`
  Returns:
    report for plugin work or null if no report is needed.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD